"""remove-is_active

Revision ID: 7e1627a4f639
Revises: 15bc4ace8bbd
Create Date: 2023-11-26 20:32:07.250072

"""

import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "7e1627a4f639"
down_revision = "15bc4ace8bbd"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("admin")
    op.drop_table("node_flag_valid_sub")
    op.drop_table("node_version_sub")
    with op.batch_alter_table("subscription", schema=None) as batch_op:
        batch_op.drop_column("is_active")

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("subscription", schema=None) as batch_op:
        batch_op.add_column(
            sa.Column("is_active", sa.BOOLEAN(), autoincrement=False, nullable=False)
        )

    op.create_table(
        "node_version_sub",
        sa.Column("id", sa.INTEGER(), autoincrement=True, nullable=False),
        sa.Column("is_active", sa.BOOLEAN(), autoincrement=False, nullable=False),
        sa.Column("created_on", postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
        sa.Column("updated_on", postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
        sa.Column(
            "eol_issue_first_seen", postgresql.TIMESTAMP(), autoincrement=False, nullable=True
        ),
        sa.Column("eol_subscription", sa.BOOLEAN(), autoincrement=False, nullable=False),
        sa.Column("eol_sub_emailed", sa.BOOLEAN(), autoincrement=False, nullable=False),
        sa.Column("outdated_subscription", sa.BOOLEAN(), autoincrement=False, nullable=False),
        sa.Column("outdated_sub_emailed", sa.BOOLEAN(), autoincrement=False, nullable=False),
        sa.Column("subscription_id", sa.INTEGER(), autoincrement=False, nullable=False),
        sa.ForeignKeyConstraint(
            ["subscription_id"], ["subscription.id"], name="node_version_sub_subscription_id_fkey"
        ),
        sa.PrimaryKeyConstraint("id", name="node_version_sub_pkey"),
    )
    op.create_table(
        "node_flag_valid_sub",
        sa.Column("id", sa.INTEGER(), autoincrement=True, nullable=False),
        sa.Column("is_active", sa.BOOLEAN(), autoincrement=False, nullable=False),
        sa.Column("created_on", postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
        sa.Column("updated_on", postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
        sa.Column("wait_for", sa.INTEGER(), autoincrement=False, nullable=False),
        sa.Column("issue_first_seen", postgresql.TIMESTAMP(), autoincrement=False, nullable=True),
        sa.Column("emailed", sa.BOOLEAN(), autoincrement=False, nullable=False),
        sa.Column("subscription_id", sa.INTEGER(), autoincrement=False, nullable=False),
        sa.ForeignKeyConstraint(
            ["subscription_id"],
            ["subscription.id"],
            name="node_flag_valid_sub_subscription_id_fkey",
        ),
        sa.PrimaryKeyConstraint("id", name="node_flag_valid_sub_pkey"),
    )
    op.create_table(
        "admin",
        sa.Column("id", sa.INTEGER(), autoincrement=True, nullable=False),
        sa.Column("email", sa.VARCHAR(length=64), autoincrement=False, nullable=False),
        sa.Column("created_on", postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
        sa.Column("last_login", postgresql.TIMESTAMP(), autoincrement=False, nullable=True),
        sa.PrimaryKeyConstraint("id", name="admin_pkey"),
    )
    # ### end Alembic commands ###
